
# -*- coding: utf-8 -*-

from odoo import models, api
from odoo.addons.saas_worker.trials import create_plausible_site
from odoo.addons.saas_worker.util import version_gte


class ResConfigSettings(models.TransientModel):
    _inherit = 'res.config.settings'

    if version_gte('saas~15.4'):  # has_plausible_shared_key doesn't exists in website before
        @api.onchange('has_plausible_shared_key')
        def onchange_has_plausible_shared_key(self):
            # when we check the setting (avoid to create account on each display)
            if self.has_plausible_shared_key and not self.plausible_shared_key:
                plausible = create_plausible_site(self.env.cr.dbname, self.env.user.tz)
                self.plausible_shared_key = plausible.get('auth')
                self.plausible_site = plausible.get('domain')
                # be sure to have at least one ping for trial of less than 4h
                cron_vacuum = self.env.ref('base.autovacuum_job', False)
                if cron_vacuum:
                    cron_vacuum._trigger()
